🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Varshaphal Mudda Dasha

The API varshaphal_mudda_dasha provides information about the planetary dasha sequence for a given time period. The response includes the name of the planet, its duration, and the start and end dates of its dasha period.
POSThttps://json.astrologyapi.com/v1/varshaphal_mudda_dasha

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

varshaphal_yearintrequired

Varshphal year, eg: 1990

curl --location 'https://json.astrologyapi.com/v1/varshaphal_mudda_dasha' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "varshaphal_year": 1990
}'
Try it

Runs with sample data β€” no API key needed

[
  {
    "planet": "SUN",
    "duration": 18,
    "dasha_start": "3-2-2017,12:37:41",
    "dasha_end": "21-2-2017,18:55:41"
  },
  {
    "planet": "MOON",
    "duration": 30,
    "dasha_start": "21-2-2017,18:55:41",
    "dasha_end": "24-3-2017,5:25:41"
  },
  {
    "planet": "MARS",
    "duration": 21,
    "dasha_start": "24-3-2017,5:25:41",
    "dasha_end": "14-4-2017,12:46:41"
  },
  {
    "planet": "RAHU",
    "duration": 54,
    "dasha_start": "14-4-2017,12:46:41",
    "dasha_end": "8-6-2017,7:40:41"
  },
  {
    "planet": "JUPITER",
    "duration": 48,
    "dasha_start": "8-6-2017,7:40:41",
    "dasha_end": "27-7-2017,0:28:41"
  },
  {
    "planet": "SATURN",
    "duration": 57,
    "dasha_start": "27-7-2017,0:28:41",
    "dasha_end": "22-9-2017,20:25:41"
  },
  {
    "planet": "MERCURY",
    "duration": 51,
    "dasha_start": "22-9-2017,20:25:41",
    "dasha_end": "13-11-2017,14:16:41"
  },
  {
    "planet": "KETU",
    "duration": 21,
    "dasha_start": "13-11-2017,14:16:41",
    "dasha_end": "4-12-2017,21:37:41"
  },
  {
    "planet": "VENUS",
    "duration": 60,
    "dasha_start": "4-12-2017,21:37:41",
    "dasha_end": "3-2-2018,18:37:41"
  }
]